

<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>&lt;no title&gt; &mdash; posydon 0+untagged.3754.gf69f455.dirty documentation</title>
  

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/doctools.js"></script>
        <script src="../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> posydon
          

          
          </a>

          
            
            
              <div class="version">
                0+untagged.3754.gf69f455.dirty
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../install/index.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/inifile.html">Configuration files for POSYDON</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/dynamic/dynamic.html">Run a Dynamic MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/fixed/fixed.html">Run a Fixed MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/PSyGrid.html">The PSyGrid Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot2D/plot2D.html">Showcase of 2D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot1D/plot1D.html">Showcase of 1D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../SingleStar/SingleStar.html">The Single Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../BinaryStar/BinaryStar.html">The Binary Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../visualization/VH_diagram.html">Van den Heuvel diagrams</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">posydon</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>&lt;no title&gt;</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../_sources/api/posydon.visualization.VH_diagram.GraphVisualizer.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <span class="target" id="module-posydon.visualization.VH_diagram.GraphVisualizer"></span><dl class="py class">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.COLLUMNTYPE">
<em class="property">class </em><code class="sig-prename descclassname">posydon.visualization.VH_diagram.GraphVisualizer.</code><code class="sig-name descname">COLLUMNTYPE</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">value</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#COLLUMNTYPE"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.COLLUMNTYPE" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/enum.html#enum.Enum" title="(in Python v3.9)"><code class="xref py py-class docutils literal notranslate"><span class="pre">enum.Enum</span></code></a></p>
<p>Enumeration of different collumn type.</p>
<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.COLLUMNTYPE.CONNECTED">
<code class="sig-name descname">CONNECTED</code><em class="property"> = 2</em><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.COLLUMNTYPE.CONNECTED" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.COLLUMNTYPE.TIMELINE">
<code class="sig-name descname">TIMELINE</code><em class="property"> = 1</em><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.COLLUMNTYPE.TIMELINE" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="py class">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.CaseInfos">
<em class="property">class </em><code class="sig-prename descclassname">posydon.visualization.VH_diagram.GraphVisualizer.</code><code class="sig-name descname">CaseInfos</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">collumn_id</span></em>, <em class="sig-param"><span class="o">*</span></em>, <em class="sig-param"><span class="n">centered_txt</span><span class="p">:</span> <span class="n"><a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)">str</a></span> <span class="o">=</span> <span class="default_value">''</span></em>, <em class="sig-param"><span class="n">bot_right_txt</span><span class="p">:</span> <span class="n"><a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)">str</a></span> <span class="o">=</span> <span class="default_value">''</span></em>, <em class="sig-param"><span class="n">bot_left_txt</span><span class="p">:</span> <span class="n"><a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)">str</a></span> <span class="o">=</span> <span class="default_value">''</span></em>, <em class="sig-param"><span class="n">top_right_txt</span><span class="p">:</span> <span class="n"><a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)">str</a></span> <span class="o">=</span> <span class="default_value">''</span></em>, <em class="sig-param"><span class="n">tot_left_txt</span><span class="p">:</span> <span class="n"><a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)">str</a></span> <span class="o">=</span> <span class="default_value">''</span></em>, <em class="sig-param"><span class="n">border_width</span><span class="p">:</span> <span class="n"><a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)">int</a></span> <span class="o">=</span> <span class="default_value">0</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#CaseInfos"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.CaseInfos" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.Infos" title="posydon.visualization.VH_diagram.GraphVisualizer.Infos"><code class="xref py py-class docutils literal notranslate"><span class="pre">posydon.visualization.VH_diagram.GraphVisualizer.Infos</span></code></a></p>
<p>Informations to create a case widget.</p>
<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.CaseInfos.border_width">
<code class="sig-name descname">border_width</code><em class="property">: <a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)">int</a></em><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.CaseInfos.border_width" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.CaseInfos.bot_left_text">
<code class="sig-name descname">bot_left_text</code><em class="property">: <a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)">str</a></em><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.CaseInfos.bot_left_text" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.CaseInfos.bot_right_text">
<code class="sig-name descname">bot_right_text</code><em class="property">: <a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)">str</a></em><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.CaseInfos.bot_right_text" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.CaseInfos.centered_text">
<code class="sig-name descname">centered_text</code><em class="property">: <a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)">str</a></em><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.CaseInfos.centered_text" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.CaseInfos.top_left_text">
<code class="sig-name descname">top_left_text</code><em class="property">: <a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)">str</a></em><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.CaseInfos.top_left_text" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.CaseInfos.top_right_text">
<code class="sig-name descname">top_right_text</code><em class="property">: <a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)">str</a></em><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.CaseInfos.top_right_text" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="py class">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.ConnectedItem">
<em class="property">class </em><code class="sig-prename descclassname">posydon.visualization.VH_diagram.GraphVisualizer.</code><code class="sig-name descname">ConnectedItem</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">from_item</span><span class="p">:</span> <span class="n"><a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem" title="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem">posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem</a></span></em>, <em class="sig-param"><span class="n">to_item</span><span class="p">:</span> <span class="n"><a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem" title="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem">posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem</a></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#ConnectedItem"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.ConnectedItem" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>Represent a visual link between 2 widgets</p>
<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.ConnectedItem.from_item">
<code class="sig-name descname">from_item</code><em class="property">: <a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem" title="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem">posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem</a></em><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.ConnectedItem.from_item" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.ConnectedItem.to_item">
<code class="sig-name descname">to_item</code><em class="property">: <a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem" title="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem">posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem</a></em><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.ConnectedItem.to_item" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="py class">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizer">
<em class="property">class </em><code class="sig-prename descclassname">posydon.visualization.VH_diagram.GraphVisualizer.</code><code class="sig-name descname">GraphVisualizer</code><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizer"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizer" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PyQt5.QtWidgets.QWidget</span></code></p>
<p>Widget used to display the different collumns and add widget in them</p>
<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizer.add_collumn">
<code class="sig-name descname">add_collumn</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">collumn_type</span></em>, <em class="sig-param"><span class="n">collumn_span</span><span class="o">=</span><span class="default_value">1</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizer.add_collumn"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizer.add_collumn" title="Permalink to this definition">¶</a></dt>
<dd><p>Create a collumn according collumn_type, taking collumn_span logical collumn.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>collumn_type</strong> (<a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.COLLUMNTYPE" title="posydon.visualization.VH_diagram.GraphVisualizer.COLLUMNTYPE"><em>COLLUMNTYPE</em></a>) – Type of the collumn to add.</p></li>
<li><p><strong>collumn_span</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a>) – Nb of logical collumn used.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>ID of created collumn.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)">int</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizer.add_line">
<code class="sig-name descname">add_line</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">infos</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizer.add_line"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizer.add_line" title="Permalink to this definition">¶</a></dt>
<dd><p>For each info in infos, create the corresponding widget and add it to the collumn with corresponding id
(given in each info), only 1 widget per collumn by call, if one collumn haven’t any widget associated, collumn skip this row</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>infos</strong> (<em>Array of Infos</em>) – Array with derivated struct of Infos to create the different widget for this line</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizer.clear">
<code class="sig-name descname">clear</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizer.clear"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizer.clear" title="Permalink to this definition">¶</a></dt>
<dd><p>Clear each collumn</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizer.get_collumn">
<code class="sig-name descname">get_collumn</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">collumn_id</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizer.get_collumn"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizer.get_collumn" title="Permalink to this definition">¶</a></dt>
<dd><p>Return visual collumn with the given id</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>collumn_id</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a>) – ID of searched collumn.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>Collumn with the given ID.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCollumn" title="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCollumn">GraphVisualizerCollumn</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizer.paintEvent">
<code class="sig-name descname">paintEvent</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">self</span></em>, <em class="sig-param"><span class="n">QPaintEvent</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizer.paintEvent"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizer.paintEvent" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizer.reset">
<code class="sig-name descname">reset</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizer.reset"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizer.reset" title="Permalink to this definition">¶</a></dt>
<dd><p>Clear all delete each collumn</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizer.saveAsPicture">
<code class="sig-name descname">saveAsPicture</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">filename</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizer.saveAsPicture"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizer.saveAsPicture" title="Permalink to this definition">¶</a></dt>
<dd><p>Render this widget in a picture and save it a filename</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>filename</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – Destination file of the picture.</p>
</dd>
</dl>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCase">
<em class="property">class </em><code class="sig-prename descclassname">posydon.visualization.VH_diagram.GraphVisualizer.</code><code class="sig-name descname">GraphVisualizerCase</code><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerCase"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCase" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem" title="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem"><code class="xref py py-class docutils literal notranslate"><span class="pre">posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem</span></code></a></p>
<p>Case widget in GraphVisualizer, with possibility to display 5 texts :
2 on the top 2 on the bottom, and 1 in center.
Can have a border</p>
<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCase.get_attach_point_bot">
<code class="sig-name descname">get_attach_point_bot</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerCase.get_attach_point_bot"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCase.get_attach_point_bot" title="Permalink to this definition">¶</a></dt>
<dd><p>Get coordinate to connect this widget with the next one.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>Coordinate to link the widget with the next one.</p>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p><a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)">int</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCase.get_attach_point_top">
<code class="sig-name descname">get_attach_point_top</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerCase.get_attach_point_top"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCase.get_attach_point_top" title="Permalink to this definition">¶</a></dt>
<dd><p>Get coordinate to connect this widget with the privious one.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>Coordinate to link the widget with the previous one.</p>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p><a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)">int</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCase.set_bottom_left_text">
<code class="sig-name descname">set_bottom_left_text</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">text</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerCase.set_bottom_left_text"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCase.set_bottom_left_text" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCase.set_bottom_rigth_text">
<code class="sig-name descname">set_bottom_rigth_text</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">text</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerCase.set_bottom_rigth_text"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCase.set_bottom_rigth_text" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCase.set_central_border">
<code class="sig-name descname">set_central_border</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">width</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerCase.set_central_border"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCase.set_central_border" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCase.set_central_text">
<code class="sig-name descname">set_central_text</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">text</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerCase.set_central_text"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCase.set_central_text" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCase.set_top_left_text">
<code class="sig-name descname">set_top_left_text</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">text</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerCase.set_top_left_text"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCase.set_top_left_text" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCase.set_top_right_text">
<code class="sig-name descname">set_top_right_text</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">text</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerCase.set_top_right_text"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCase.set_top_right_text" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="py class">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCollumn">
<em class="property">class </em><code class="sig-prename descclassname">posydon.visualization.VH_diagram.GraphVisualizer.</code><code class="sig-name descname">GraphVisualizerCollumn</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">grid</span></em>, <em class="sig-param"><span class="n">collumn_id</span></em>, <em class="sig-param"><span class="n">collumn_span</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerCollumn"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCollumn" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>Mother-class of visual collumn in GraphVisualizer
Manage one visual collumn in the QGridLayout (can take several logical collumn)</p>
<p>Constructor</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>grid</strong> (<em>QGridLayout</em>) – Grid where collumn take place.</p></li>
<li><p><strong>collumn_id</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a>) – Unique id of this collumn.</p></li>
<li><p><strong>collumn_span</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a>) – Number of logical collumn used.</p></li>
</ul>
</dd>
</dl>
<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCollumn.add_item">
<code class="sig-name descname">add_item</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">item</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerCollumn.add_item"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCollumn.add_item" title="Permalink to this definition">¶</a></dt>
<dd><p>Add one item in the collumn, connect it to previous if needed</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>item</strong> (<a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem" title="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem"><em>GraphVisualizerItem</em></a>) – Widget to add in collumn.</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCollumn.clear">
<code class="sig-name descname">clear</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerCollumn.clear"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCollumn.clear" title="Permalink to this definition">¶</a></dt>
<dd><p>Delete all widget in the collumn, keep the title</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCollumn.get_id">
<code class="sig-name descname">get_id</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerCollumn.get_id"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCollumn.get_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCollumn.reset">
<code class="sig-name descname">reset</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerCollumn.reset"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCollumn.reset" title="Permalink to this definition">¶</a></dt>
<dd><p>Delete everythings (widget + title), reset logical collumn used</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCollumn.set_title">
<code class="sig-name descname">set_title</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">title</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerCollumn.set_title"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCollumn.set_title" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCollumn.skip">
<code class="sig-name descname">skip</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerCollumn.skip"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCollumn.skip" title="Permalink to this definition">¶</a></dt>
<dd><p>Skip one row</p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerConnectedCollumn">
<em class="property">class </em><code class="sig-prename descclassname">posydon.visualization.VH_diagram.GraphVisualizer.</code><code class="sig-name descname">GraphVisualizerConnectedCollumn</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">grid</span></em>, <em class="sig-param"><span class="n">collumn_id</span></em>, <em class="sig-param"><span class="n">collumn_span</span><span class="o">=</span><span class="default_value">1</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerConnectedCollumn"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerConnectedCollumn" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCollumn" title="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCollumn"><code class="xref py py-class docutils literal notranslate"><span class="pre">posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCollumn</span></code></a></p>
<p>Simple visual collumn with arrow between connected widget</p>
<p>Constructor</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>grid</strong> (<em>QGridLayout</em>) – Grid where collumn take place.</p></li>
<li><p><strong>collumn_id</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a>) – Unique id of this collumn.</p></li>
<li><p><strong>collumn_span</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a>) – Number of logical collumn used.</p></li>
</ul>
</dd>
</dl>
<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerConnectedCollumn.draw">
<code class="sig-name descname">draw</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">surface</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerConnectedCollumn.draw"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerConnectedCollumn.draw" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="py class">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem">
<em class="property">class </em><code class="sig-prename descclassname">posydon.visualization.VH_diagram.GraphVisualizer.</code><code class="sig-name descname">GraphVisualizerItem</code><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerItem"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PyQt5.QtWidgets.QWidget</span></code></p>
<p>Mother-class for widget in GraphVisualizer with commun atributs, and commun method</p>
<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem.connected">
<code class="sig-name descname">connected</code><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem.connected" title="Permalink to this definition">¶</a></dt>
<dd><p>Indicate if this widget need to be connected with the previous one in the same collumn.</p>
<dl class="field-list simple">
<dt class="field-odd">Type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)">bool</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem.get_attach_point_bot">
<code class="sig-name descname">get_attach_point_bot</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerItem.get_attach_point_bot"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem.get_attach_point_bot" title="Permalink to this definition">¶</a></dt>
<dd><p>Get coordinate to connect this widget with the next one.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>Coordinate to link the widget with the next one.</p>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p><a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)">int</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem.get_attach_point_top">
<code class="sig-name descname">get_attach_point_top</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerItem.get_attach_point_top"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem.get_attach_point_top" title="Permalink to this definition">¶</a></dt>
<dd><p>Get coordinate to connect this widget with the privious one.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>Coordinate to link the widget with the previous one.</p>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p><a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)">int</a></p>
</dd>
</dl>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerPoint">
<em class="property">class </em><code class="sig-prename descclassname">posydon.visualization.VH_diagram.GraphVisualizer.</code><code class="sig-name descname">GraphVisualizerPoint</code><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerPoint"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerPoint" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem" title="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem"><code class="xref py py-class docutils literal notranslate"><span class="pre">posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem</span></code></a></p>
<p>Widget containing GraphVisualizerPointDraw,
with possibility to display 2 texts : one at each side.</p>
<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerPoint.get_attach_point_bot">
<code class="sig-name descname">get_attach_point_bot</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerPoint.get_attach_point_bot"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerPoint.get_attach_point_bot" title="Permalink to this definition">¶</a></dt>
<dd><p>Get coordinate to connect this widget with the next one.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>Coordinate to link the widget with the next one.</p>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p><a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)">int</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerPoint.get_attach_point_top">
<code class="sig-name descname">get_attach_point_top</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerPoint.get_attach_point_top"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerPoint.get_attach_point_top" title="Permalink to this definition">¶</a></dt>
<dd><p>Get coordinate to connect this widget with the privious one.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>Coordinate to link the widget with the previous one.</p>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p><a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)">int</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerPoint.set_text">
<code class="sig-name descname">set_text</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">text</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerPoint.set_text"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerPoint.set_text" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="py class">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerPointDraw">
<em class="property">class </em><code class="sig-prename descclassname">posydon.visualization.VH_diagram.GraphVisualizer.</code><code class="sig-name descname">GraphVisualizerPointDraw</code><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerPointDraw"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerPointDraw" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PyQt5.QtWidgets.QWidget</span></code></p>
<p>Empty widget with a point drew</p>
<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerPointDraw.paintEvent">
<code class="sig-name descname">paintEvent</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">self</span></em>, <em class="sig-param"><span class="n">QPaintEvent</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerPointDraw.paintEvent"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerPointDraw.paintEvent" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="py class">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState">
<em class="property">class </em><code class="sig-prename descclassname">posydon.visualization.VH_diagram.GraphVisualizer.</code><code class="sig-name descname">GraphVisualizerState</code><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerState"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem" title="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem"><code class="xref py py-class docutils literal notranslate"><span class="pre">posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerItem</span></code></a></p>
<p>Widget containing drawings,
with possibility to display 4 texts on top &amp; bot.</p>
<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState.get_attach_point_bot">
<code class="sig-name descname">get_attach_point_bot</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerState.get_attach_point_bot"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState.get_attach_point_bot" title="Permalink to this definition">¶</a></dt>
<dd><p>Get coordinate to connect this widget with the next one.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>Coordinate to link the widget with the next one.</p>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p><a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)">int</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState.get_attach_point_top">
<code class="sig-name descname">get_attach_point_top</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerState.get_attach_point_top"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState.get_attach_point_top" title="Permalink to this definition">¶</a></dt>
<dd><p>Get coordinate to connect this widget with the privious one.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>Coordinate to link the widget with the previous one.</p>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p><a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)">int</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState.paintEvent">
<code class="sig-name descname">paintEvent</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">self</span></em>, <em class="sig-param"><span class="n">QPaintEvent</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerState.paintEvent"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState.paintEvent" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState.resizeEvent">
<code class="sig-name descname">resizeEvent</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">self</span></em>, <em class="sig-param"><span class="n">QResizeEvent</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerState.resizeEvent"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState.resizeEvent" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState.set_bot_text">
<code class="sig-name descname">set_bot_text</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">text</span></em>, <em class="sig-param"><span class="n">index</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerState.set_bot_text"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState.set_bot_text" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState.set_distance">
<code class="sig-name descname">set_distance</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">dist</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerState.set_distance"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState.set_distance" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState.set_event">
<code class="sig-name descname">set_event</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">filename</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerState.set_event"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState.set_event" title="Permalink to this definition">¶</a></dt>
<dd><p>Load the picture ‘filename’ and resize it if needed</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>filename</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – Name (+ path) to the picture.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>Indicate if loading &amp; resize success.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)">bool</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState.set_first_star">
<code class="sig-name descname">set_first_star</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">filename</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerState.set_first_star"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState.set_first_star" title="Permalink to this definition">¶</a></dt>
<dd><p>Load the picture ‘filename’ and resize it if needed</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>filename</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – Name (+ path) to the picture.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>Indicate if loading &amp; resize success.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)">bool</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState.set_second_star">
<code class="sig-name descname">set_second_star</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">filename</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerState.set_second_star"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState.set_second_star" title="Permalink to this definition">¶</a></dt>
<dd><p>Load the picture ‘filename’ and resize it if needed</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>filename</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – Name (+ path) to the picture.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>Indicate if loading &amp; resize success.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)">bool</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState.set_top_text">
<code class="sig-name descname">set_top_text</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">text</span></em>, <em class="sig-param"><span class="n">index</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerState.set_top_text"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState.set_top_text" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="py class">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerTimeline">
<em class="property">class </em><code class="sig-prename descclassname">posydon.visualization.VH_diagram.GraphVisualizer.</code><code class="sig-name descname">GraphVisualizerTimeline</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">grid</span></em>, <em class="sig-param"><span class="n">collumn_id</span></em>, <em class="sig-param"><span class="n">collumn_span</span><span class="o">=</span><span class="default_value">1</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerTimeline"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerTimeline" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCollumn" title="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCollumn"><code class="xref py py-class docutils literal notranslate"><span class="pre">posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCollumn</span></code></a></p>
<p>Visual collumn with line between connected widget, is compressed by other collumn</p>
<p>Constructor</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>grid</strong> (<em>QGridLayout</em>) – Grid where collumn take place.</p></li>
<li><p><strong>collumn_id</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a>) – Unique id of this collumn.</p></li>
<li><p><strong>collumn_span</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a>) – Number of logical collumn used.</p></li>
</ul>
</dd>
</dl>
<dl class="py method">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerTimeline.draw">
<code class="sig-name descname">draw</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">surface</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#GraphVisualizerTimeline.draw"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerTimeline.draw" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="py class">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.INFOSTYPE">
<em class="property">class </em><code class="sig-prename descclassname">posydon.visualization.VH_diagram.GraphVisualizer.</code><code class="sig-name descname">INFOSTYPE</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">value</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#INFOSTYPE"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.INFOSTYPE" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/enum.html#enum.Enum" title="(in Python v3.9)"><code class="xref py py-class docutils literal notranslate"><span class="pre">enum.Enum</span></code></a></p>
<p>Enumeration of different type of infos.</p>
<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.INFOSTYPE.CASE">
<code class="sig-name descname">CASE</code><em class="property"> = 1</em><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.INFOSTYPE.CASE" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.INFOSTYPE.POINT">
<code class="sig-name descname">POINT</code><em class="property"> = 2</em><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.INFOSTYPE.POINT" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.INFOSTYPE.STATE">
<code class="sig-name descname">STATE</code><em class="property"> = 3</em><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.INFOSTYPE.STATE" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="py class">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.Infos">
<em class="property">class </em><code class="sig-prename descclassname">posydon.visualization.VH_diagram.GraphVisualizer.</code><code class="sig-name descname">Infos</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">collumn_id</span></em>, <em class="sig-param"><span class="n">infos_type</span></em>, <em class="sig-param"><span class="n">connected</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#Infos"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.Infos" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>Mother-class with common informations uselful for all widget.</p>
<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.Infos.collumn_id">
<code class="sig-name descname">collumn_id</code><em class="property">: <a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)">int</a></em><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.Infos.collumn_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.Infos.connected">
<code class="sig-name descname">connected</code><em class="property">: <a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)">bool</a></em><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.Infos.connected" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.Infos.infos_type">
<code class="sig-name descname">infos_type</code><em class="property">: <a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.INFOSTYPE" title="posydon.visualization.VH_diagram.GraphVisualizer.INFOSTYPE">posydon.visualization.VH_diagram.GraphVisualizer.INFOSTYPE</a></em><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.Infos.infos_type" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="py class">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.PointInfos">
<em class="property">class </em><code class="sig-prename descclassname">posydon.visualization.VH_diagram.GraphVisualizer.</code><code class="sig-name descname">PointInfos</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">collumn_id</span></em>, <em class="sig-param"><span class="n">text</span><span class="p">:</span> <span class="n"><a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)">str</a></span> <span class="o">=</span> <span class="default_value">''</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#PointInfos"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.PointInfos" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.Infos" title="posydon.visualization.VH_diagram.GraphVisualizer.Infos"><code class="xref py py-class docutils literal notranslate"><span class="pre">posydon.visualization.VH_diagram.GraphVisualizer.Infos</span></code></a></p>
<p>Informations to create a widget with a point drew.</p>
<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.PointInfos.text">
<code class="sig-name descname">text</code><em class="property">: <a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)">str</a></em><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.PointInfos.text" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="py class">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.StateInfos">
<em class="property">class </em><code class="sig-prename descclassname">posydon.visualization.VH_diagram.GraphVisualizer.</code><code class="sig-name descname">StateInfos</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">collumn_id</span></em>, <em class="sig-param"><span class="o">*</span></em>, <em class="sig-param"><span class="n">S1_filename</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">S2_filename</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">event_filename</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">distance</span><span class="o">=</span><span class="default_value">1</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#StateInfos"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.StateInfos" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.Infos" title="posydon.visualization.VH_diagram.GraphVisualizer.Infos"><code class="xref py py-class docutils literal notranslate"><span class="pre">posydon.visualization.VH_diagram.GraphVisualizer.Infos</span></code></a></p>
<p>Informations to create a widget with a line of diagram inside.</p>
<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.StateInfos.S1_filename">
<code class="sig-name descname">S1_filename</code><em class="property">: <a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)">str</a></em><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.StateInfos.S1_filename" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.StateInfos.S2_filename">
<code class="sig-name descname">S2_filename</code><em class="property">: <a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)">str</a></em><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.StateInfos.S2_filename" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.StateInfos.bot_texts">
<code class="sig-name descname">bot_texts</code><em class="property">: <a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#list" title="(in Python v3.9)">list</a></em><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.StateInfos.bot_texts" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.StateInfos.distance">
<code class="sig-name descname">distance</code><em class="property">: <a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)">int</a></em><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.StateInfos.distance" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.StateInfos.top_texts">
<code class="sig-name descname">top_texts</code><em class="property">: <a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#list" title="(in Python v3.9)">list</a></em><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.StateInfos.top_texts" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="py function">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.prepare_case">
<code class="sig-prename descclassname">posydon.visualization.VH_diagram.GraphVisualizer.</code><code class="sig-name descname">prepare_case</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">infos</span><span class="p">:</span> <span class="n"><a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.CaseInfos" title="posydon.visualization.VH_diagram.GraphVisualizer.CaseInfos">posydon.visualization.VH_diagram.GraphVisualizer.CaseInfos</a></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#prepare_case"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.prepare_case" title="Permalink to this definition">¶</a></dt>
<dd><p>Helper to create GraphVisualizerCase from CaseInfos</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>infos</strong> (<a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.CaseInfos" title="posydon.visualization.VH_diagram.GraphVisualizer.CaseInfos"><em>CaseInfos</em></a>) – Infos to create the widget.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>Created widget with given infos.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCase" title="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerCase">GraphVisualizerCase</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.prepare_point">
<code class="sig-prename descclassname">posydon.visualization.VH_diagram.GraphVisualizer.</code><code class="sig-name descname">prepare_point</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">infos</span><span class="p">:</span> <span class="n"><a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.PointInfos" title="posydon.visualization.VH_diagram.GraphVisualizer.PointInfos">posydon.visualization.VH_diagram.GraphVisualizer.PointInfos</a></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#prepare_point"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.prepare_point" title="Permalink to this definition">¶</a></dt>
<dd><p>Helper to create GraphVisualizerPoint from PointInfos</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>infos</strong> (<a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.PointInfos" title="posydon.visualization.VH_diagram.GraphVisualizer.PointInfos"><em>PointInfos</em></a>) – Infos to create the widget.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>Created widget with given infos.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerPoint" title="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerPoint">GraphVisualizerPoint</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.visualization.VH_diagram.GraphVisualizer.prepare_state">
<code class="sig-prename descclassname">posydon.visualization.VH_diagram.GraphVisualizer.</code><code class="sig-name descname">prepare_state</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">infos</span><span class="p">:</span> <span class="n"><a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.StateInfos" title="posydon.visualization.VH_diagram.GraphVisualizer.StateInfos">posydon.visualization.VH_diagram.GraphVisualizer.StateInfos</a></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/GraphVisualizer.html#prepare_state"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.GraphVisualizer.prepare_state" title="Permalink to this definition">¶</a></dt>
<dd><p>Helper to create GraphVisualizerState from StateInfos.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>infos</strong> (<a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.StateInfos" title="posydon.visualization.VH_diagram.GraphVisualizer.StateInfos"><em>StateInfos</em></a>) – Infos to create the widget.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>Created widget with given infos.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference internal" href="#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState" title="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizerState">GraphVisualizerState</a></p>
</dd>
</dl>
</dd></dl>



           </div>
           
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2019, Tassos Fragkos.

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>